# Uses of Interface
org.w3c.dom.ls.LSResourceResolver

Packages that use LSResourceResolver
Package
Description
javax.xml.catalog
Provides the classes for implementing XML Catalogs OASIS Standard V1.1, 7 October 2005.
javax.xml.validation
Provides an API for validation of XML documents.

## Uses of LSResourceResolver in javax.xml.catalog

Subinterfaces of LSResourceResolver in javax.xml.catalog
Modifier and Type
Interface
Description
`interface`
`CatalogResolver`
A Catalog Resolver that implements SAX `EntityResolver`, StAX `XMLResolver`, DOM LS `LSResourceResolver` used by Schema Validation, and Transform `URIResolver`, and resolves external references using catalogs.

## Uses of LSResourceResolver in javax.xml.validation

Methods in javax.xml.validation that return LSResourceResolver
Modifier and Type
Method
Description
`abstract LSResourceResolver`
SchemaFactory.`getResourceResolver()`
Gets the current `LSResourceResolver` set to this `SchemaFactory`.
`abstract LSResourceResolver`
Validator.`getResourceResolver()`
Gets the current `LSResourceResolver` set to this `Validator`.
`abstract LSResourceResolver`
ValidatorHandler.`getResourceResolver()`
Gets the current `LSResourceResolver` set to this `ValidatorHandler`.
Methods in javax.xml.validation with parameters of type LSResourceResolver
Modifier and Type
Method
Description
`abstract void`
SchemaFactory.`setResourceResolver(LSResourceResolver resourceResolver)`
Sets the `LSResourceResolver` to customize resource resolution when parsing schemas.
`abstract void`
Validator.`setResourceResolver(LSResourceResolver resourceResolver)`
Sets the `LSResourceResolver` to customize resource resolution while in a validation episode.
`abstract void`
ValidatorHandler.`setResourceResolver(LSResourceResolver resourceResolver)`
Sets the `LSResourceResolver` to customize resource resolution while in a validation episode.